﻿Imports System.Data.Entity.Migrations.Model
Imports System.Data.Entity.Migrations.Utilities
Imports System.Data.Entity.SqlServer

Namespace CasinoModel.Migrations
    Public Class CustomSqlServerMigrationSqlGenerator
        Inherits SqlServerMigrationSqlGenerator
        Protected Overrides Sub Generate(ByVal migrationOperation As MigrationOperation)
            Dim operation = TryCast(migrationOperation, CreateViewOperation)

            If operation IsNot Nothing Then
                Using writer As IndentedTextWriter = SqlServerMigrationSqlGenerator.Writer
                    writer.WriteLine("CREATE VIEW {0} AS {1} ; ", operation.ViewName, operation.ViewString)
                    Statement(writer)
                End Using
            End If
        End Sub
    End Class
End Namespace