﻿Imports System.Data.Entity.Migrations.Model

Namespace CasinoModel.Migrations
    Public Class CreateViewOperation
        Inherits MigrationOperation
        Public Sub New(ByVal viewName As String, ByVal viewQueryString As String)
            MyBase.New(Nothing)
            Me.ViewName = viewName
            ViewString = viewQueryString
        End Sub

        Private privateViewName As String
        Public Property ViewName() As String
            Get
                Return privateViewName
            End Get
            Private Set(ByVal value As String)
                privateViewName = value
            End Set
        End Property
        Private privateViewString As String
        Public Property ViewString() As String
            Get
                Return privateViewString
            End Get
            Private Set(ByVal value As String)
                privateViewString = value
            End Set
        End Property

        Public Overrides ReadOnly Property IsDestructiveChange() As Boolean
            Get
                Return False
            End Get
        End Property
    End Class
End Namespace