﻿Imports System.Data.Entity
Imports System.Data.Entity.Infrastructure
Imports System.Data.Entity.SqlServer
Imports DataLayer.Pluralization
Imports MSDNEF6Article.DataLayer
Imports CasinoModel.Migrations

Namespace DataLayer.DbConfigurations
    Public Class CustomDbConfiguration
        Inherits DbConfiguration
        Public Sub New()
            SetDefaultConnectionFactory(New LocalDbConnectionFactory("v11.0"))
            SetHistoryContext("System.Data.SqlClient", Function(connection, defaultSchema) New MyHistoryContext(connection, defaultSchema))
            SetPluralizationService(New CustomPluralizationService())
            SetMigrationSqlGenerator("System.Data.SqlClient", Function() New CustomSqlServerMigrationSqlGenerator())
        End Sub
    End Class
End Namespace
