Imports System.Data.Entity.Migrations

Namespace CasinoModel.Migrations

    Partial Public Class initial
        Inherits DbMigration
        Public Overrides Sub Up()
            CreateTable("Casino.Casinos", Function(c) New With {Key .Id = c.Int(nullable:=False, identity:=True), Key .Name = c.String(maxLength:=4000), Key .Rating = c.Int(nullable:=False), Key .Description = c.String(maxLength:=4000), Key .PhysicalAddress_StreetOrPoBox = c.String(maxLength:=4000), Key .PhysicalAddress_City = c.String(maxLength:=4000), Key .PhysicalAddress_State = c.String(maxLength:=4000), Key .PhysicalAddress_PostalCode = c.String(maxLength:=4000), Key .MailingAddress_StreetOrPoBox = c.String(maxLength:=4000), Key .MailingAddress_City = c.String(maxLength:=4000), Key .MailingAddress_State = c.String(maxLength:=4000), Key .MailingAddress_PostalCode = c.String(maxLength:=4000), Key .OpeningDate = c.DateTime(nullable:=False), Key .SomeNewProperty = c.String(maxLength:=4000), Key .SomeOtherNewProperty = c.String(maxLength:=4000)}).PrimaryKey(Function(t) t.Id)
            CreateTable("Casino.SlotMachines", Function(c) New With {Key .Id = c.Int(nullable:=False, identity:=True), Key .SlotMachineType = c.Int(nullable:=False), Key .SerialNumber = c.String(maxLength:=4000), Key .CasinoId = c.Int(nullable:=False), Key .DateInService = c.DateTime(nullable:=False), Key .HasQuietMode = c.Boolean(nullable:=False), Key .LastMaintenance = c.DateTime(nullable:=False)}).PrimaryKey(Function(t) t.Id).ForeignKey("Casino.Casinos", Function(t) t.CasinoId, cascadeDelete:=True).Index(Function(t) t.CasinoId)
            CreateTable("Casino.FrenchJournals", Function(c) New With {Key .Id = c.Int(nullable:=False, identity:=True), Key .Name = c.String(maxLength:=4000)}).PrimaryKey(Function(t) t.Id)
            CreateTable("Casino.PokerTables", Function(c) New With {Key .Id = c.Int(nullable:=False, identity:=True), Key .Description = c.String(maxLength:=4000), Key .SerialNo = c.String(maxLength:=4000)}).PrimaryKey(Function(t) t.Id)
            CreateTable("Casino.Status", Function(c) New With {Key .Id = c.Int(nullable:=False, identity:=True), Key .Description = c.String(maxLength:=4000)}).PrimaryKey(Function(t) t.Id)
        End Sub

        Public Overrides Sub Down()
            DropForeignKey("Casino.SlotMachines", "CasinoId", "Casino.Casinos")
            DropIndex("Casino.SlotMachines", {"CasinoId"})
            DropTable("Casino.Status")
            DropTable("Casino.PokerTables")
            DropTable("Casino.FrenchJournals")
            DropTable("Casino.SlotMachines")
            DropTable("Casino.Casinos")
        End Sub
    End Class
End Namespace
