Imports MSDNEF6Article.DataLayer
Imports System.Data.Entity.Migrations
Imports System.Data.Entity
Imports DomainClasses

Namespace CasinoModel.Migrations
    Friend NotInheritable Class Configuration
        Inherits DbMigrationsConfiguration(Of MSDNEF6Article.DataLayer.CasinoSlotsModel)
        Public Sub New()
            AutomaticMigrationsEnabled = False
        End Sub

        Protected Overrides Sub Seed(ByVal context As CasinoSlotsModel)
            Dim casino = New Casino With {.Description = "Bets are on!", .Name = "Gamble It Away", .Rating = CasinoRating.Nice, .OpeningDate = New Date(2013, 1, 1)}

            casino.SlotMachines.Add(New SlotMachine With {.DateInService = Date.Now, .SerialNumber = "123456", .SlotMachineType = SlotMachineType.BuyAPay, .HasQuietMode = True, .LastMaintenance = Date.Now})
            casino.MailingAddress = New Casino.Address("1 Main", "maincity", "mc", "01111")
            casino.PhysicalAddress = New Casino.Address("1 Main", "maincity", "mc", "01111")
            Dim casino2 = New Casino With {.Description = "We are shiny!", .Name = "Harrahs", .Rating = CasinoRating.JustLikeonTv, .OpeningDate = New Date(2013, 1, 1)}
            casino2.MailingAddress = New Casino.Address("1 Main", "Las Vegas", "NV", "01111")
            casino2.PhysicalAddress = New Casino.Address("1 Main", "Las Vegas", "NV", "01111")
            casino2.SlotMachines.Add(New SlotMachine With {.DateInService = Date.Now, .SerialNumber = "654321", .SlotMachineType = SlotMachineType.BuyAPay, .HasQuietMode = True, .LastMaintenance = Date.Now})
            casino2.SlotMachines.Add(New SlotMachine With {.DateInService = Date.Now, .SerialNumber = "789111", .SlotMachineType = SlotMachineType.BuyAPay, .HasQuietMode = True, .LastMaintenance = Date.Now})
            context.Casinos.AddOrUpdate(Function(c) c.Name, casino, casino2)
        End Sub
    End Class
End Namespace
